Subject: Where can I buy chicken/pork growth promoters?

From: [email-masked] (J T Su)
Date: Thu, 07 Sep 1995 12:04:30 -0700

I'm looking to buy growth promoters and antibiotics/vaccines for chicken
and pork applications.  I am new to this field.  Can anyone suggest to me
which journals or magazines are good for this?  I also would appreciate
which companies and products I should consider.  Thanks in advance to all
replies.

J T Su
[email-masked]